> ## Documentation Index
> Fetch the complete documentation index at: https://psxdata.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fundamentals



## OpenAPI

````yaml /openapi.json get /stocks/{symbol}/fundamentals
openapi: 3.1.0
info:
  title: psxdata
  version: 0.1.0
servers:
  - url: https://psxdata-api.fastapicloud.dev
security: []
paths:
  /stocks/{symbol}/fundamentals:
    get:
      tags:
        - stocks
      summary: Get Fundamentals
      operationId: get_fundamentals_stocks__symbol__fundamentals_get
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
            title: Symbol
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundamentalsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FundamentalsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/FundamentalsRow'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/MetaList'
      type: object
      required:
        - data
        - meta
      title: FundamentalsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FundamentalsRow:
      properties:
        symbol:
          type: string
          title: Symbol
        year:
          type: string
          title: Year
        type:
          type: string
          title: Type
        period_ended:
          type: string
          title: Period Ended
        posting_date:
          type: string
          title: Posting Date
        document:
          type: string
          title: Document
      type: object
      required:
        - symbol
        - year
        - type
        - period_ended
        - posting_date
        - document
      title: FundamentalsRow
    MetaList:
      properties:
        timestamp:
          type: string
          title: Timestamp
        cached:
          type: boolean
          title: Cached
        count:
          type: integer
          title: Count
      type: object
      required:
        - timestamp
        - cached
        - count
      title: MetaList
      description: Metadata block for list responses. Always includes count.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````